
package parser;

import java.util.*;
import java.io.*;

public class DanglingElseParser extends DanglingElseSyntax {
    protected void fix(Node node) {
        Iterator it0 = node.getChildNodes().iterator();
        while (it0.hasNext()) {
            Node child = (Node) it0.next();
            
            if (child instanceof DanglingElseAbsorber) {
                DanglingElseAbsorber a = (DanglingElseAbsorber) child;
                ((Default.Node) node).replaceChild(child, a.shortIf());
                child = a.shortIf();
            }
            
            fix(child);
        }
    }
    
    public static void main(String[] args) {
        try {
            DanglingElseParser parser = new DanglingElseParser();
            Root root = parser.parseRoot(new File(args[0]), null);
            System.out.println("Before Fix:");
            System.out.println(root);
            parser.fix(root);
            System.out.println("After Fix:");
            System.out.println(root);
        } catch (Exception x) {
            x.printStackTrace();
        }
    }
}

